Vinix· docs

Get queue

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/qubicle_queues/{queue_id}

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth or PUT /v2/api_auth. See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

queue_id*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/qubicle_queues/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "name": "string",
    "queue_type": "queue_basic",
    "queue_router": "route_round_robin",
    "queue_timeout": 3600,
    "agent_connect_timeout": 15,
    "agent_wrapup_time": 2,
    "hold_treatment": "string",
    "hold_treatment_actions": {},
    "tick_time": 1000,
    "members": {}
  }
}
{
  "message": "string",
  "request_id": "string"
}
{
  "message": "string",
  "request_id": "string"
}